Subject: bug#19293: failure in fmbtest after commit d48e658e03a70ff648801cbea698c11abff80016

From: Norihiro Tanaka <[email-masked]>
Date: Mon, 08 Dec 2014 22:35:40 +0900

On Sun, 07 Dec 2014 18:15:03 -0800
Paul Eggert <[email-masked]> wrote:

> Thanks, could you please try the attached patch?  I installed it, as
> it's clearly needed even if it doesn't fix this particular bug.

Thanks, but I confirmed that the bug is not fixed in CentOS 5 yet.  I
found that it is a bug of regex in CentOS 5.  Following should output
`1', but output `0' in CentOS 5.

printf '\xf0\x9d\x87\x95\n' |
  LC_ALL=cs_CZ.utf8 sed -ne '/[^0-9]/p' | wc -l
printf '\xf0\x9d\x87\x95\n' |
  LC_ALL=cs_CZ.utf8 sed -ne '/[^0123456789]/p' | wc -l

By the way, if we recompile sed with --with-included-regex, the bug can
be avoided.